Subject: Re: [External] : Re: bug#62126: 26.3; Doc of `dired-do(-async)-shell-command': mention `dired-guess-shell-command'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Mar 2023 17:27:01 +0200

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sun, 12 Mar 2023 15:07:44 +0000
> 
> > > > It would help if the doc of these commands (and others that use
> > > > `dired-read-shell-command') mentioned that if `dired-x' is loaded then
> > > > they make use of option `dired-guess-shell-command' to guess an
> > > > appropriate default value (command).
> > >
> > > It already does, in Emacs 27 and later.
> 
> Thanks; I missed that.
> 
> > Actually, I see that in Emacs 26.3 as well, so I'm not sure why you
> > didn't.  Maybe you didn't mention all the commands you had in mind?
> 
> Where do you see it in 26.3?  I didn't find it there.
> I don't see it there in either of those doc strings.
> I don't see it in the Emacs manual, where those
> commands are doc'd (or anywhere else).  I don't see
> it in the Elisp manual.  But I haven't had any coffee
> yet this morning...

Maybe this is a misunderstanding.  How about if you show the doc
strings of the offending functions and tell explicitly what is missing
from them?